/**
 * Converts a size from millimeters to pixels based on the provided DPI (dots per inch).
 *
 * @param sizeMm - The size in millimeters.
 * @param dpi - The dots per inch (DPI) for the conversion.
 * @returns The size in pixels.
 */
export declare function convertFromMmToPx(sizeMm: number, dpi: number): number;
/**
 * Converts a size from pixels to millimeters based on the provided DPI (dots per inch).
 *
 * @param sizePx - The size in pixels.
 * @param dpi - The dots per inch (DPI) for the conversion.
 * @returns The size in millimeters.
 */
export declare function convertFromPxToMm(sizePx: number, dpi: number): number;
