"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const node_test_1 = require("node:test");
const assert = require("node:assert/strict");
const conversions_1 = require("./conversions");
(0, node_test_1.describe)('conversions', () => {
    (0, node_test_1.describe)('convertFromMmToPx', () => {
        (0, node_test_1.it)('should convert millimeters to pixels correctly', () => {
            assert.strictEqual((0, conversions_1.convertFromMmToPx)(10, 300), 118);
            assert.strictEqual((0, conversions_1.convertFromMmToPx)(25.4, 300), 300);
            assert.strictEqual((0, conversions_1.convertFromMmToPx)(0, 300), 0);
            assert.strictEqual((0, conversions_1.convertFromMmToPx)(10, 0), 0);
            assert.strictEqual((0, conversions_1.convertFromMmToPx)(-10, 300), 0);
            assert.strictEqual((0, conversions_1.convertFromMmToPx)(10, -300), 0);
        });
    });
    (0, node_test_1.describe)('convertFromPxToMm', () => {
        (0, node_test_1.it)('should convert pixels to millimeters correctly', () => {
            assert.strictEqual((0, conversions_1.convertFromPxToMm)(300, 300), 25);
            assert.strictEqual((0, conversions_1.convertFromPxToMm)(118, 300), 10);
            assert.strictEqual((0, conversions_1.convertFromPxToMm)(0, 300), 0);
            assert.strictEqual((0, conversions_1.convertFromPxToMm)(300, 0), 0);
            assert.strictEqual((0, conversions_1.convertFromPxToMm)(-300, 300), 0);
            assert.strictEqual((0, conversions_1.convertFromPxToMm)(300, -300), 0);
        });
    });
});
//# sourceMappingURL=conversions.test.js.map